ALT Linux Sisyphus discussions
 help / color / mirror / Atom feed
From: Michael Shigorin <mike@osdn.org.ua>
To: sisyphus@lists.altlinux.org
Subject: [sisyphus] IQ: composite control
Date: Fri, 19 Oct 2007 19:04:09 +0300
Message-ID: <20071019160408.GJ17541@osdn.org.ua> (raw)

[-- Attachment #1: Type: text/plain, Size: 1074 bytes --]

	Здравствуйте.
В процессе тестирования беты Desktop 4.0.1 подумал -- долго ли 
к нему приворачивать столь нежно требуемый beryl?  Оказалось
совсем недолго -- нужные пакеты уже были установлены с DVD,
3D работало, осталось сделать

apt-get install nvidia-xconfig
nvidia-xconfig --composite
nvidia-xconfig --allow-glx-with-composite
nvidia-xconfig --render-accel
nvidia-xconfig --add-argb-glx-visuals

(render-accel можно было и не трогать?)

Подумал, что если чуточку доскриптовать, то кнопочка
в alterator-x11 может оказаться совсем простой.

У меня под рукой есть только NVIDIA в ассортименте и
Radeon M7000/9200/9600.  Текущих ATI/Intel нет.

Если кто проконсультирует по опциям или допинает прилагаемый
скриптик до провереннной совместимости с их драйверами -- тоже
спасибо.

Если кто прокомментирует способы запуска beryl & beryl-manager 
по умолчанию (или сразу заскриптует) -- вообще хорошо.

-- 
 ---- WBR, Michael Shigorin <mike@altlinux.ru>
  ------ Linux.Kiev http://www.linux.kiev.ua/
 ----       Oct 26--27, Kiev, Ukraine:
--       http://conference.osdn.org.ua

[-- Attachment #2: nvidia-composite --]
[-- Type: text/plain, Size: 972 bytes --]

#!/bin/sh

error() {
		echo $0: $* >&2
		exit 2
}

xconfig() {
# uses nvidia-xconfig currently since it's actually driver-agnostic;
# probably should switch to something else some day
		for i in $*; do
				[ -z "$i" ] || nvidia-xconfig -s --$i 
		done
}

[ -z "$1" ] && echo "Usage:
$0 enable  =>  enable NVIDIA compositing
$0 disable => disable NVIDIA compositing" && exit 1

# TODO: maybe drop -n?
XDRIVER="`x11setupdrv -d -n | sed 's/^driver name:[[:blank:]]//'`" \
|| error "x11setupdrv failed to get driver name"

#[ "$XDRIVER" = "nvidia" ] || error "unsupported video driver, not nvidia"

which nvidia-xconfig >&/dev/null || error "nvidia-xconfig not found"

case $1 in
enable|on)
		xconfig composite
		[ "$XDRIVER" = "nvidia" ] && xconfig allow-glx-with-composite add-argb-glx-visuals
		;;
disable|off)
		xconfig no-composite
		[ "$XDRIVER" = "nvidia" ] && xconfig no-allow-glx-with-composite no-add-argb-glx-visuals
		;;
*)
		error "unknown option: $1"
		;;
esac


             reply	other threads:[~2007-10-19 16:04 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-10-19 16:04 Michael Shigorin [this message]
2007-10-19 17:17 ` Алексей Синицын
2007-10-19 17:48   ` Michael Shigorin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20071019160408.GJ17541@osdn.org.ua \
    --to=mike@osdn.org.ua \
    --cc=shigorin@gmail.com \
    --cc=sisyphus@lists.altlinux.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

ALT Linux Sisyphus discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/sisyphus/0 sisyphus/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 sisyphus sisyphus/ http://lore.altlinux.org/sisyphus \
		sisyphus@altlinux.ru sisyphus@altlinux.org sisyphus@lists.altlinux.org sisyphus@lists.altlinux.ru sisyphus@lists.altlinux.com sisyphus@linuxteam.iplabs.ru sisyphus@list.linux-os.ru
	public-inbox-index sisyphus

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.sisyphus


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git